import sys
from optparse import make_option

from django.core.management.base import CommandError, BaseCommand
from hobo.multitenant.middleware import TenantMiddleware


class Command(BaseCommand):
    help = "Delete tenant(s) by hostname(s)"
    args = ['...']
    option_list = BaseCommand.option_list + (
		make_option('--force-drop', action='store_true', default=False,
                    help='If you want the schema to be deleted from database'),
    )

    def handle(self, *args, **options):

        if not args:
            raise CommandError("you must give at least one tenant hostname")

        # if - is given on the command line, get list of hostnames from stdin
        if '-' in args:
            args = list(args)
            args.remove('-')
            args.extend([x.strip() for x in sys.stdin.readlines()])
        for hostname in args:
            tenant = TenantMiddleware.get_tenant_by_hostname(hostname)
            tenant.delete(force_drop=options['force_drop'])

